# -*- Mode: Perl -*-
# t/01_ini.t; just to load Data::FStructure (& submodules) by using 'em

$TEST_DIR = './t';
#use lib qw(../blib/lib); $TEST_DIR = '.'; # for debugging

# load common subs
do "$TEST_DIR/common.plt";

@fsmodules = (qw(FStructure::Base FStructure::Safe),
	      qw(FStructure::delta FStructure::theta FStructure::Std),
	      qw(FStructure::List),
	      qw(FStructure::arydelta FStructure::Array),
	      qw(FStructure::perldata FStructure::pretty),
	      qw(FStructure FStructure::Tied));


plan(test => scalar(@fsmodules));

# 1--N: load modules (1 subtest/class)
foreach (@fsmodules) {
  $class = "QuD::$_";
  print "Test $class\n";
  eval "use $class;";
  ok(defined(${$class.'::VERSION'})); # hack, but it ought to work...
}

print "\n";
# end of t/01_ini.t

